<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login Portal · Reployee</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="stylesheet" href="../styles/styles.css">
</head>
<body>
    <nav class="navbar navbar-light bg-light">
        <div class="container-xxl">
            <a class="navbar-brand" href="#">
                <img src="../images/Reployee_Logo.jpg" alt="" width="30" height="30" class="d-inline-block align-top">
                <strong>Reployee</strong>
            </a>
        </div>
    </nav>

    <div class="container-xxl">
        <div class="row my-5">
            <div class="col">
                <h1 class="display-3 text-center text-white"><strong>Reployee</strong></h1>
                <h1 class="display-6 text-center text-white mt-4">Expense reimbursement made easy</h1>
            </div>
        </div>
        <div class="row gy-5 mb-5 align-items-center justify-content-center">
            <div class="col-10 col-sm-8 col-md-6 col-lg-4">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title text-center mt-4">Login as an Employee</h4>
                        <p class="card-text text-center text-danger" id="emp-error-msg">error message</p>
                        <form id="emp-login-form" onsubmit='goTo(); return false'>
                            <div class="mb-5">
                            <label for="emp-username-input" class="form-label">Username</label>
                            <input type="text" class="form-control" id="emp-username-input" required>
                            </div>
                            <div class="mb-5">
                            <label for="emp-password-input" class="form-label">Password</label>
                            <input type="password" class="form-control" id="emp-password-input" required>
                            </div>
                            <div class="d-grid gap-2 mb-4">
                                <button type="button" class="btn btn-success" id="emp-login-btn" value="EMPLOYEE">Login</button>
                            </div>
                        </form> 
                    </div>
                </div>
            </div>

            <div class="col-12 col-lg-2">
                <h1 class="display-6 text-center text-white">or</h1>
            </div>

            <div class="col-10 col-sm-8 col-md-6 col-lg-4">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title text-center mt-4">Login as a Manager</h4>
                        <p class="card-text text-center text-danger" id="man-error-msg">error message</p>
                        <form id="man-login-form" onsubmit='goTo(); return false'>
                            <div class="mb-5">
                            <label for="man-username-input" class="form-label">Username</label>
                            <input type="text" class="form-control" id="man-username-input" required>
                            </div>
                            <div class="mb-5">
                            <label for="man-password-input" class="form-label">Password</label>
                            <input type="password" class="form-control" id="man-password-input" required>
                            </div>
                            <div class="d-grid gap-2 mb-4">
                                <button type="button" class="btn btn-success" id="man-login-btn" value="MANAGER">Login</button>
                            </div>
                        </form> 
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
    <script src="../scripts/ajax_requests.js"></script>
    <script src="../scripts/login.js"></script>
</body>
</html>